#####################################################################
####  __   __(_) _ __  ___   ___   _ __ | |_  ___  _ __  |___ \  ####
####  \ \ / /| || '__|/ __| / _ \ | '__|| __|/ _ \| '__|   __) | ####
####   \ V / | || |   \__ \| (_) || |   | |_|  __/| |     / __/  ####
####    \_/  |_||_|   |___/ \___/ |_|    \__|\___||_|    |_____| ####
#####################################################################

#  For more details about the config values see:
#  github

GROUP_INFO:
  dsDNAphage:                       # must match dirname under db/group
    MIN_GENOME_SIZE: 10000          # for provirus
    MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 3000 # hallmark required for short seqs 
  NCLDV:
    MIN_GENOME_SIZE: 70000
    MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 3000
  RNA:
    MIN_GENOME_SIZE: 1000
    MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 10000
  ssDNA:
    MIN_GENOME_SIZE: 1000
    MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 3000
  lavidaviridae:
    MIN_GENOME_SIZE: 15000
    MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 3000


DEFAULT_MIN_GENOME_SIZE: 10000
DEFAULT_MIN_SIZE_ALLOWED_WO_HALLMARK_GENE: 3000

# cluster resources
DEFAULT_MEM: 20G
DEFAULT_TIME: 4:00:00
GENERAL_THREADS: 1
LOCAL_SCRATCH: /tmp

# preprocess
MIN_LENGTH: 0

# hmmsearch
HMMSEARCH_THREADS: 2
HMMSEARCH_SCORE_MIN: 30

# split contig, protein seq (faa), gff
MAX_SPLIT: 1000
CONTIG_BP_PER_SPLIT: 30000000      # 30000000
FAA_BP_PER_SPLIT: 10000000         # 10000000
GFF_SEQNUM_PER_SPLIT: 100000         # 100000

# gff feature extraction
GENE_OVERLAP_MIN: 5


# classify
CLASSIFY_THREADS: 1
PROBA_CUTOFF: 0.5
HALLMARK_REQUIRED_ON_SHORT: false
HALLMARK_REQUIRED: false
VIRAL_GENE_REQUIRED: false  # viral gene % > cellular gene %

# provirus
MIN_FRAC_OF_MAX_SCORE: 0.95  # pick longest within 95% of max score for trim
MAX_RETRY_TIMES: 5  # extend more if pr fall below PROBA_CUTOFF
PROVIRUS_CHECK_MAX_FULLSEQ_PROBA: 0.7  # max fullseq proba for provirus check
PROVIRUS_MIN_PEAK_PROBA: 0.7  # minimal peak proba required 
END_TRIM_OFF: false

RANDOM_STATE: 99

# feature list, order is fixed
TOTAL_FEATURE_LIST: [contig_size, gene_size, gene_overlap_perc, density, strand_switch_perc,
  atg_perc, gtg_perc, ttg_perc, gc_mean, gc_sd, rbs_DoubleA, rbs_DoubleT, rbs_NoA,
  rbs_None, rbs_OnlyA, rbs_OnlyT, rbs_Other, rbs_Other_GA, rbs_SD_Bacteroidetes, rbs_SD_Canonical,
  rbs_TATATA_3-6, arc, bac, euk, vir, mix, unaligned, hallmark]
# attention: all model needs to be retrained if select feature changed
SELECT_FEATURE_LIST: [gene_size, gene_overlap_perc, density, strand_switch_perc, atg_perc,
  gtg_perc, ttg_perc, gc_mean, gc_sd, rbs_DoubleA, rbs_DoubleT, rbs_NoA, rbs_None,
  rbs_OnlyA, rbs_OnlyT, rbs_Other, rbs_Other_GA, rbs_SD_Bacteroidetes, rbs_SD_Canonical,
  rbs_TATATA_3-6, arc, bac, euk, vir, mix, unaligned, hallmark]
DBDIR: /home/davidtong28/tools/virsorter/db
SEQFILE: /home/davidtong28/prophage/batch2/2487.454Scaffolds.fa
PROVIRUS: true
MAX_ORF_PER_SEQ: -1
TMPDIR: iter-0
PREP_FOR_DRAMV: false
LABEL: ''
KEEP_ORIGINAL_SEQ: false
HIGH_CONFIDENCE_ONLY: false
EXCLUDE_LT2GENE: false
THREADS: 4
GROUPS:
- dsDNAphage
- NCLDV
- RNA
- ssDNA
- lavidaviridae
